PUT
/api/integrations/scim-idp/{id}Update a SCIM IDP integration
Updates an existing SCIM IDP integration. Supply any fields you want to change, including enabled, connector_id, group_prefixes, user_group_prefixes, or prefix; the request schema defines no required body fields.
idintegerrequired
The unique identifier of the SCIM IDP integration, as an integer.
SCIM IDP integration fields to update; the request schema defines no required body fields.
enabledbooleanoptional
Whether the integration is enabled
connector_idstringoptional
DEX connector ID for embedded IDP setups
group_prefixesarray<string>optional
List of start_with string patterns for groups to sync
user_group_prefixesarray<string>optional
List of start_with string patterns for groups which users to sync
prefixstringoptional
The connection prefix used for the SCIM provider
200Returns the updated SCIM IDP integration object.
enabledbooleanrequired
Whether the integration is enabled
connector_idstringoptional
DEX connector ID for embedded IDP setups
group_prefixesarray<string>required
List of start_with string patterns for groups to sync
user_group_prefixesarray<string>required
List of start_with string patterns for groups which users to sync
auth_tokenstringrequired
SCIM API token (full on creation, masked otherwise)
idintegerrequired
The unique identifier for the integration
last_synced_atstringrequired
Timestamp of when the integration was last synced
prefixstringrequired
The connection prefix used for the SCIM provider
providerstringrequired
Name of the SCIM identity provider
400Returned when the JSON body is invalid, validation fails, or the integration ID is invalid.
messagestringoptional
A human-readable error message.
401Returned when the request is unauthorized.
messagestringoptional
A human-readable error message.
404Returned when the integration is not found.
messagestringoptional
A human-readable error message.
500Returned when an internal server error occurs.
messagestringoptional
A human-readable error message.
Error handling
A 400 is returned when the request body is invalid or id has an invalid format. A 401 is returned when the request is unauthorized, and a 404 is returned when the integration is not found. A 500 is returned for an internal server error.